<extend name="public@base"/>
<block name="css">
    <style>
    </style>
</block>
<block name="body">
    <van-nav-bar
            left-text="返回"
            left-arrow
            @click-left="onBack">
        <template #title>
            <span>审核状态</span>
        </template>
    </van-nav-bar>
    <h1 style="text-align:center;margin-top:20px;" class="text-pink">{{status}}</h1>
    <p style="text-align:center;padding:10px;" v-if="user.check_status == 3">{{user.check_comment}}</p>
</block>
<block name="script">
    <script>
        new Vue({
            el: '#app',
            data() {
                return {
                    user: {$user}
                };
            },
            methods: {
                onBack() {
                    history.back();
                },
            },
            computed: {
                status() {
                    if (this.user.check_status == 1) {
                        return '待审核';
                    }
                    if (this.user.check_status == 2) {
                        return '审核通过';
                    }
                    if (this.user.check_status == 3) {
                        return '审核不通过';
                    }

                    return  '';
                },
            }
        });
    </script>
</block>